MyGUI: MyGUI::IObject Class Reference

MyGUI 3.4.3

Public Types | Public Member Functions | Static Public Member Functions
MyGUI::IObject Class Reference

`#include <MyGUI_IObject.h>`

Inheritance diagram for MyGUI::IObject:
[legend]

## Public Types
typedef IObject | RTTIBase

## Public Member Functions
virtual std::string_view | getTypeName () const
virtual bool | isType (const std::type_info &_type) const
template<typename Type>
bool | isType () const
template<typename Type>
Type * | castType (bool _throw=true)
template<typename Type>
const Type * | castType (bool _throw=true) const
virtual | ~IObject ()=default

## Static Public Member Functions
static std::string_view | getClassTypeName ()

## Detailed Description

Definition at line 16 of file MyGUI_IObject.h.

## Member Typedef Documentation

## ◆ RTTIBase

typedef IObject MyGUI::IObject::RTTIBase

Definition at line 18 of file MyGUI_IObject.h.

## Constructor & Destructor Documentation

## ◆ ~IObject()

virtual MyGUI::IObject::~IObject | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ castType() [1/2]

template<typename Type>

Type * MyGUI::IObject::castType | ( | bool | _throw = true | ) |
| inline

Try to cast pointer to selected type.

Parameters

  _throw | If true throw exception when casting in wrong type, else return nullptr

Definition at line 18 of file MyGUI_IObject.h.

## ◆ castType() [2/2]

template<typename Type>

const Type * MyGUI::IObject::castType | ( | bool | _throw = true | ) | const
| inline

Try to cast pointer to selected type.

Parameters

  _throw | If true throw exception when casting in wrong type, else return nullptr

Definition at line 18 of file MyGUI_IObject.h.

## ◆ getClassTypeName()

std::string_view MyGUI::IObject::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 18 of file MyGUI_IObject.h.

## ◆ getTypeName()

virtual std::string_view MyGUI::IObject::getTypeName | ( |  | ) | const
| inlinevirtual

Get type name as string

Reimplemented in MyGUI::Button, MyGUI::Canvas, MyGUI::ComboBox, MyGUI::ControllerEdgeHide, MyGUI::ControllerFadeAlpha, MyGUI::ControllerItem, MyGUI::ControllerPosition, MyGUI::ControllerRepeatClick, MyGUI::DDContainer, MyGUI::EditBox, MyGUI::EditText, MyGUI::EditTextStateInfo, MyGUI::HScroll, MyGUI::IFont, MyGUI::ILayer, MyGUI::ILayerNode, MyGUI::ImageBox, MyGUI::IPointer, MyGUI::IResource, MyGUI::ISerializable, MyGUI::IStateInfo, MyGUI::ISubWidget, MyGUI::ISubWidgetRect, MyGUI::ISubWidgetText, MyGUI::ItemBox, MyGUI::LayerNode, MyGUI::ListBox, MyGUI::MainSkin, MyGUI::MenuBar, MyGUI::MenuControl, MyGUI::MenuItem, MyGUI::MultiListBox, MyGUI::MultiListItem, MyGUI::OverlappedLayer, MyGUI::PolygonalSkin, MyGUI::PopupMenu, MyGUI::ProgressBar, MyGUI::ResourceImageSet, MyGUI::ResourceImageSetPointer, MyGUI::ResourceLayout, MyGUI::ResourceManualFont, MyGUI::ResourceManualPointer, MyGUI::ResourceSkin, MyGUI::ResourceTrueTypeFont, MyGUI::RotatingSkin, MyGUI::RotatingSkinStateInfo, MyGUI::ScrollBar, MyGUI::ScrollView, MyGUI::SharedLayer, MyGUI::SharedLayerNode, MyGUI::SimpleText, MyGUI::SubSkin, MyGUI::SubSkinStateInfo, MyGUI::TabControl, MyGUI::TabItem, MyGUI::TextBox, MyGUI::TileRect, MyGUI::TileRectStateInfo, MyGUI::VScroll, MyGUI::Widget, and MyGUI::Window.

Definition at line 18 of file MyGUI_IObject.h.

## ◆ isType() [1/2]

template<typename Type>

bool MyGUI::IObject::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 18 of file MyGUI_IObject.h.

## ◆ isType() [2/2]

virtual bool MyGUI::IObject::isType | ( | const std::type_info & | _type | ) | const
| inlinevirtual

Compare with selected type

Reimplemented in MyGUI::Button, MyGUI::Canvas, MyGUI::ComboBox, MyGUI::ControllerEdgeHide, MyGUI::ControllerFadeAlpha, MyGUI::ControllerItem, MyGUI::ControllerPosition, MyGUI::ControllerRepeatClick, MyGUI::DDContainer, MyGUI::EditBox, MyGUI::EditText, MyGUI::EditTextStateInfo, MyGUI::HScroll, MyGUI::IFont, MyGUI::ILayer, MyGUI::ILayerNode, MyGUI::ImageBox, MyGUI::IPointer, MyGUI::IResource, MyGUI::ISerializable, MyGUI::IStateInfo, MyGUI::ISubWidget, MyGUI::ISubWidgetRect, MyGUI::ISubWidgetText, MyGUI::ItemBox, MyGUI::LayerNode, MyGUI::ListBox, MyGUI::MainSkin, MyGUI::MenuBar, MyGUI::MenuControl, MyGUI::MenuItem, MyGUI::MultiListBox, MyGUI::MultiListItem, MyGUI::OverlappedLayer, MyGUI::PolygonalSkin, MyGUI::PopupMenu, MyGUI::ProgressBar, MyGUI::ResourceImageSet, MyGUI::ResourceImageSetPointer, MyGUI::ResourceLayout, MyGUI::ResourceManualFont, MyGUI::ResourceManualPointer, MyGUI::ResourceSkin, MyGUI::ResourceTrueTypeFont, MyGUI::RotatingSkin, MyGUI::RotatingSkinStateInfo, MyGUI::ScrollBar, MyGUI::ScrollView, MyGUI::SharedLayer, MyGUI::SharedLayerNode, MyGUI::SimpleText, MyGUI::SubSkin, MyGUI::SubSkinStateInfo, MyGUI::TabControl, MyGUI::TabItem, MyGUI::TextBox, MyGUI::TileRect, MyGUI::TileRectStateInfo, MyGUI::VScroll, MyGUI::Widget, and MyGUI::Window.

Definition at line 18 of file MyGUI_IObject.h.

The documentation for this class was generated from the following file:

- MyGUI_IObject.h